﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/84cd64c0f5d248fa26a9715496b97c89/librewolf-106.0.1-1.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = '8ccd82d7249468f7ac2d0b34ff476886b8060cb2dcca4731ceea6d7789e6d246'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

try {
  Install-ChocolateyPackage @packageArgs
} catch  {
  if($_.Exception.Message -match "Exit code was '2'") {
    throw "The installer exited with code 2. This means LibreWolf is probably still running. Close LibreWolf and try again."
  } else {
    throw $_.Exception
  }
}